curl --request GET \
--url https://int-api.mx.com/users/{user_identifier}/accounts/{account_identifier}/account_numbers \
--header 'Accept-Version: <accept-version>' \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://int-api.mx.com/users/{user_identifier}/accounts/{account_identifier}/account_numbers"
headers = {
"Accept-Version": "<accept-version>",
"Authorization": "Basic <encoded-value>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Accept-Version': '<accept-version>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://int-api.mx.com/users/{user_identifier}/accounts/{account_identifier}/account_numbers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_numbers": [
{
"account_guid": "ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1",
"account_number": "3331261",
"guid": "ACN-8899832e-e5b4-42cd-aa25-bbf1dc889a8f",
"institution_number": "123",
"loan_guarantor": "U.S. DEPARTMENT OF EDUCATION (123456)",
"loan_reference_number": "123456789012345",
"member_guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
"passed_validation": true,
"routing_number": "68899990000000",
"sequence_number": "1-01",
"transit_number": "12345",
"user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54"
}
],
"pagination": {
"current_page": 1,
"per_page": 25,
"total_entries": 1,
"total_pages": 1
}
}List account numbers by account
account.Authorizations
The MX Platform API requires basic access authentication using your client_id and api_key. These credentials must be Base64 encoded and included in the Authorization header of each API request to ensure secure access.
Here's an example using curl to access v20250224. Replace https://int-api.mx.com/endpoint with the actual API endpoint you wish to access and your Base64 encoded client_id and api_key.
curl -L -X POST `https://int-api.mx.com/endpoint' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Accept-Version: v20250224'
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'
Headers
MX Platform API version.
"v20250224"
Path Parameters
Use either the account id you defined or the MX-defined account guid. See MX-Defined GUIDs vs IDs Defined by You.
Use either the user id you defined or the MX-defined user guid. See MX-Defined GUIDs vs IDs Defined by You.
Query Parameters
Results are paginated. Specify current page.
This specifies the number of records to be returned on each page. Defaults to 25. The valid range is from 10 to 1000. If the value exceeds 1000, the default value of 25 will be used instead.
Response
OK
Hide child attributes
Hide child attributes
The unique identifier for an account. Defined by MX.
"ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1"
The account number associated with the account. This will typically be a masked or partial account number.
"3331261"
Unique identifier for the account number. Defined by MX.
"ACN-8899832e-e5b4-42cd-aa25-bbf1dc889a8f"
The three-digit number identifying a Canadian banking institution.
"123"
The guarantor of the student loan.
"U.S. DEPARTMENT OF EDUCATION (123456)"
The reference number of the student loan.
"123456789012345"
The unique identifier for the member. Defined by MX.
"MBR-7c6f361b-e582-15b6-60c0-358f12466b4b"
This indicates whether the account and routing numbers passed MX's internal validity checks. If true, the account and routing/transit numbers are likely (but not guaranteed) to be valid. If false, either the account number, routing/transit number, or both are likely invalid.
true
The routing number for the account.
"68899990000000"
The sequence number of the student loan.
"1-01"
The five-digit number identifying the branch of a Canadian financial institution.
"12345"
The unique identifier for the user. Defined by MX.
"USR-fa7537f3-48aa-a683-a02a-b18940482f54"
Hide child attributes
Hide child attributes
The page delivered by the current response.
1
The number of records delivered with each page.
25
The total number of records available.
1
The total number of pages available.
1

